* [PATCH 0/3] fixes for useradd
@ 2015-07-28 9:03 Robert Yang
2015-07-28 9:03 ` [PATCH 1/3] useradd_base.bbclass: print PN when bbnote/bbwarn/bbfatal Robert Yang
` (2 more replies)
0 siblings, 3 replies; 6+ messages in thread
From: Robert Yang @ 2015-07-28 9:03 UTC (permalink / raw)
To: openembedded-core
The following changes since commit 27d068d05239c26a3848eb101571acab54635e37:
harfbuzz: upgrade to 1.0.1 (2015-07-27 23:28:23 +0100)
are available in the git repository at:
git://git.openembedded.org/openembedded-core-contrib rbt/useradd
http://cgit.openembedded.org/cgit.cgi/openembedded-core-contrib/log/?h=rbt/useradd
Robert Yang (3):
useradd_base.bbclass: print PN when bbnote/bbwarn/bbfatal
useradd_base.bbclass: do not warn when the user exists
builder: fix USERADD_PARAM
meta/classes/useradd_base.bbclass | 58 +++++++++++++-------------
meta/recipes-graphics/builder/builder_0.1.bb | 2 +-
2 files changed, 30 insertions(+), 30 deletions(-)
--
1.7.9.5
^ permalink raw reply [flat|nested] 6+ messages in thread
* [PATCH 1/3] useradd_base.bbclass: print PN when bbnote/bbwarn/bbfatal
2015-07-28 9:03 [PATCH 0/3] fixes for useradd Robert Yang
@ 2015-07-28 9:03 ` Robert Yang
2015-07-28 9:03 ` [PATCH 2/3] useradd_base.bbclass: do not warn when the user exists Robert Yang
2015-07-28 9:03 ` [PATCH 3/3] builder: fix USERADD_PARAM Robert Yang
2 siblings, 0 replies; 6+ messages in thread
From: Robert Yang @ 2015-07-28 9:03 UTC (permalink / raw)
To: openembedded-core
Print PN will help debug:
WARNING: openssh: user sshd already exists, not re-creating it
Which is better than:
WARNING: user sshd already exists, not re-creating it
Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
---
meta/classes/useradd_base.bbclass | 58 ++++++++++++++++++-------------------
1 file changed, 29 insertions(+), 29 deletions(-)
diff --git a/meta/classes/useradd_base.bbclass b/meta/classes/useradd_base.bbclass
index 4398a25..7fe83a7 100644
--- a/meta/classes/useradd_base.bbclass
+++ b/meta/classes/useradd_base.bbclass
@@ -14,7 +14,7 @@ perform_groupadd () {
local rootdir="$1"
local opts="$2"
local retries="$3"
- bbnote "Performing groupadd with [$opts] and $retries times of retry"
+ bbnote "${PN}: Performing groupadd with [$opts] and $retries times of retry"
local groupname=`echo "$opts" | awk '{ print $NF }'`
local group_exists="`grep "^$groupname:" $rootdir/etc/group || true`"
if test "x$group_exists" = "x"; then
@@ -23,18 +23,18 @@ perform_groupadd () {
eval $PSEUDO groupadd $opts || true
group_exists="`grep "^$groupname:" $rootdir/etc/group || true`"
if test "x$group_exists" = "x"; then
- bbwarn "groupadd command did not succeed. Retrying..."
+ bbwarn "${PN}: groupadd command did not succeed. Retrying..."
else
break
fi
count=`expr $count + 1`
if test $count = $retries; then
- bbfatal "Tried running groupadd command $retries times without success, giving up"
+ bbfatal "${PN}: Tried running groupadd command $retries times without success, giving up"
fi
sleep $count
done
else
- bbwarn "group $groupname already exists, not re-creating it"
+ bbwarn "${PN}: group $groupname already exists, not re-creating it"
fi
}
@@ -42,7 +42,7 @@ perform_useradd () {
local rootdir="$1"
local opts="$2"
local retries="$3"
- bbnote "Performing useradd with [$opts] and $retries times of retry"
+ bbnote "${PN}: Performing useradd with [$opts] and $retries times of retry"
local username=`echo "$opts" | awk '{ print $NF }'`
local user_exists="`grep "^$username:" $rootdir/etc/passwd || true`"
if test "x$user_exists" = "x"; then
@@ -51,18 +51,18 @@ perform_useradd () {
eval $PSEUDO useradd $opts || true
user_exists="`grep "^$username:" $rootdir/etc/passwd || true`"
if test "x$user_exists" = "x"; then
- bbwarn "useradd command did not succeed. Retrying..."
+ bbwarn "${PN}: useradd command did not succeed. Retrying..."
else
break
fi
count=`expr $count + 1`
if test $count = $retries; then
- bbfatal "Tried running useradd command $retries times without success, giving up"
+ bbfatal "${PN}: Tried running useradd command $retries times without success, giving up"
fi
sleep $count
done
else
- bbwarn "user $username already exists, not re-creating it"
+ bbwarn "${PN}: user $username already exists, not re-creating it"
fi
}
@@ -70,10 +70,10 @@ perform_groupmems () {
local rootdir="$1"
local opts="$2"
local retries="$3"
- bbnote "Performing groupmems with [$opts] and $retries times of retry"
+ bbnote "${PN}: Performing groupmems with [$opts] and $retries times of retry"
local groupname=`echo "$opts" | awk '{ for (i = 1; i < NF; i++) if ($i == "-g" || $i == "--group") print $(i+1) }'`
local username=`echo "$opts" | awk '{ for (i = 1; i < NF; i++) if ($i == "-a" || $i == "--add") print $(i+1) }'`
- bbnote "Running groupmems command with group $groupname and user $username"
+ bbnote "${PN}: Running groupmems command with group $groupname and user $username"
# groupmems fails if /etc/gshadow does not exist
local gshadow=""
if [ -f $rootdir${sysconfdir}/gshadow ]; then
@@ -89,7 +89,7 @@ perform_groupmems () {
eval $PSEUDO groupmems $opts || true
mem_exists="`grep "^$groupname:[^:]*:[^:]*:\([^,]*,\)*$username\(,[^,]*\)*" $rootdir/etc/group || true`"
if test "x$mem_exists" = "x"; then
- bbwarn "groupmems command did not succeed. Retrying..."
+ bbwarn "${PN}: groupmems command did not succeed. Retrying..."
else
break
fi
@@ -99,12 +99,12 @@ perform_groupmems () {
rm -f $rootdir${sysconfdir}/gshadow
rm -f $rootdir${sysconfdir}/gshadow-
fi
- bbfatal "Tried running groupmems command $retries times without success, giving up"
+ bbfatal "${PN}: Tried running groupmems command $retries times without success, giving up"
fi
sleep $count
done
else
- bbwarn "group $groupname already contains $username, not re-adding it"
+ bbwarn "${PN}: group $groupname already contains $username, not re-adding it"
fi
if test "x$gshadow" = "xno"; then
rm -f $rootdir${sysconfdir}/gshadow
@@ -116,7 +116,7 @@ perform_groupdel () {
local rootdir="$1"
local opts="$2"
local retries="$3"
- bbnote "Performing groupdel with [$opts] and $retries times of retry"
+ bbnote "${PN}: Performing groupdel with [$opts] and $retries times of retry"
local groupname=`echo "$opts" | awk '{ print $NF }'`
local group_exists="`grep "^$groupname:" $rootdir/etc/group || true`"
if test "x$group_exists" != "x"; then
@@ -125,18 +125,18 @@ perform_groupdel () {
eval $PSEUDO groupdel $opts || true
group_exists="`grep "^$groupname:" $rootdir/etc/group || true`"
if test "x$group_exists" != "x"; then
- bbwarn "groupdel command did not succeed. Retrying..."
+ bbwarn "${PN}: groupdel command did not succeed. Retrying..."
else
break
fi
count=`expr $count + 1`
if test $count = $retries; then
- bbfatal "Tried running groupdel command $retries times without success, giving up"
+ bbfatal "${PN}: Tried running groupdel command $retries times without success, giving up"
fi
sleep $count
done
else
- bbwarn "group $groupname doesn't exist, not removing it"
+ bbwarn "${PN}: group $groupname doesn't exist, not removing it"
fi
}
@@ -144,7 +144,7 @@ perform_userdel () {
local rootdir="$1"
local opts="$2"
local retries="$3"
- bbnote "Performing userdel with [$opts] and $retries times of retry"
+ bbnote "${PN}: Performing userdel with [$opts] and $retries times of retry"
local username=`echo "$opts" | awk '{ print $NF }'`
local user_exists="`grep "^$username:" $rootdir/etc/passwd || true`"
if test "x$user_exists" != "x"; then
@@ -153,18 +153,18 @@ perform_userdel () {
eval $PSEUDO userdel $opts || true
user_exists="`grep "^$username:" $rootdir/etc/passwd || true`"
if test "x$user_exists" != "x"; then
- bbwarn "userdel command did not succeed. Retrying..."
+ bbwarn "${PN}: userdel command did not succeed. Retrying..."
else
break
fi
count=`expr $count + 1`
if test $count = $retries; then
- bbfatal "Tried running userdel command $retries times without success, giving up"
+ bbfatal "${PN}: Tried running userdel command $retries times without success, giving up"
fi
sleep $count
done
else
- bbwarn "user $username doesn't exist, not removing it"
+ bbwarn "${PN}: user $username doesn't exist, not removing it"
fi
}
@@ -175,7 +175,7 @@ perform_groupmod () {
local rootdir="$1"
local opts="$2"
local retries="$3"
- bbnote "Performing groupmod with [$opts] and $retries times of retry"
+ bbnote "${PN}: Performing groupmod with [$opts] and $retries times of retry"
local groupname=`echo "$opts" | awk '{ print $NF }'`
local group_exists="`grep "^$groupname:" $rootdir/etc/group || true`"
if test "x$group_exists" != "x"; then
@@ -183,18 +183,18 @@ perform_groupmod () {
while true; do
eval $PSEUDO groupmod $opts
if test $? != 0; then
- bbwarn "groupmod command did not succeed. Retrying..."
+ bbwarn "${PN}: groupmod command did not succeed. Retrying..."
else
break
fi
count=`expr $count + 1`
if test $count = $retries; then
- bbfatal "Tried running groupmod command $retries times without success, giving up"
+ bbfatal "${PN}: Tried running groupmod command $retries times without success, giving up"
fi
sleep $count
done
else
- bbwarn "group $groupname doesn't exist, unable to modify it"
+ bbwarn "${PN}: group $groupname doesn't exist, unable to modify it"
fi
set -e
}
@@ -205,7 +205,7 @@ perform_usermod () {
local rootdir="$1"
local opts="$2"
local retries="$3"
- bbnote "Performing usermod with [$opts] and $retries times of retry"
+ bbnote "${PN}: Performing usermod with [$opts] and $retries times of retry"
local username=`echo "$opts" | awk '{ print $NF }'`
local user_exists="`grep "^$username:" $rootdir/etc/passwd || true`"
if test "x$user_exists" != "x"; then
@@ -213,18 +213,18 @@ perform_usermod () {
while true; do
eval $PSEUDO usermod $opts
if test $? != 0; then
- bbwarn "usermod command did not succeed. Retrying..."
+ bbwarn "${PN}: usermod command did not succeed. Retrying..."
else
break
fi
count=`expr $count + 1`
if test $count = $retries; then
- bbfatal "Tried running usermod command $retries times without success, giving up"
+ bbfatal "${PN}: Tried running usermod command $retries times without success, giving up"
fi
sleep $count
done
else
- bbwarn "user $username doesn't exist, unable to modify it"
+ bbwarn "${PN}: user $username doesn't exist, unable to modify it"
fi
set -e
}
--
1.7.9.5
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [PATCH 2/3] useradd_base.bbclass: do not warn when the user exists
2015-07-28 9:03 [PATCH 0/3] fixes for useradd Robert Yang
2015-07-28 9:03 ` [PATCH 1/3] useradd_base.bbclass: print PN when bbnote/bbwarn/bbfatal Robert Yang
@ 2015-07-28 9:03 ` Robert Yang
2015-07-28 9:03 ` [PATCH 3/3] builder: fix USERADD_PARAM Robert Yang
2 siblings, 0 replies; 6+ messages in thread
From: Robert Yang @ 2015-07-28 9:03 UTC (permalink / raw)
To: openembedded-core
Use bbnote rather than bbwarn when the user exists, otherwise we would
always get the warnings when rebuild the recipe or build with mulitlib,
everything is OK if the user exists, so it should not be a warning.
Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
---
meta/classes/useradd_base.bbclass | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/meta/classes/useradd_base.bbclass b/meta/classes/useradd_base.bbclass
index 7fe83a7..802f3a1 100644
--- a/meta/classes/useradd_base.bbclass
+++ b/meta/classes/useradd_base.bbclass
@@ -34,7 +34,7 @@ perform_groupadd () {
sleep $count
done
else
- bbwarn "${PN}: group $groupname already exists, not re-creating it"
+ bbnote "${PN}: group $groupname already exists, not re-creating it"
fi
}
@@ -62,7 +62,7 @@ perform_useradd () {
sleep $count
done
else
- bbwarn "${PN}: user $username already exists, not re-creating it"
+ bbnote "${PN}: user $username already exists, not re-creating it"
fi
}
--
1.7.9.5
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [PATCH 3/3] builder: fix USERADD_PARAM
2015-07-28 9:03 [PATCH 0/3] fixes for useradd Robert Yang
2015-07-28 9:03 ` [PATCH 1/3] useradd_base.bbclass: print PN when bbnote/bbwarn/bbfatal Robert Yang
2015-07-28 9:03 ` [PATCH 2/3] useradd_base.bbclass: do not warn when the user exists Robert Yang
@ 2015-07-28 9:03 ` Robert Yang
2015-07-29 4:48 ` Robert Yang
2 siblings, 1 reply; 6+ messages in thread
From: Robert Yang @ 2015-07-28 9:03 UTC (permalink / raw)
To: openembedded-core
When build lib32-builder, it would create the user lib32-builder which
was incorrect.
Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
---
meta/recipes-graphics/builder/builder_0.1.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/meta/recipes-graphics/builder/builder_0.1.bb b/meta/recipes-graphics/builder/builder_0.1.bb
index 78d41e5..d87d0e9 100644
--- a/meta/recipes-graphics/builder/builder_0.1.bb
+++ b/meta/recipes-graphics/builder/builder_0.1.bb
@@ -21,7 +21,7 @@ USERADD_PACKAGES = "${PN}"
USERADD_PARAM_${PN} = "--system --create-home \
--groups video,tty,audio \
--password ${BUILDER_PASSWORD} \
- --user-group ${PN}"
+ --user-group builder"
do_install () {
install -d -m 755 ${D}${sysconfdir}/mini_x/session.d
--
1.7.9.5
^ permalink raw reply related [flat|nested] 6+ messages in thread
* Re: [PATCH 3/3] builder: fix USERADD_PARAM
2015-07-28 9:03 ` [PATCH 3/3] builder: fix USERADD_PARAM Robert Yang
@ 2015-07-29 4:48 ` Robert Yang
2015-08-09 0:54 ` Khem Raj
0 siblings, 1 reply; 6+ messages in thread
From: Robert Yang @ 2015-07-29 4:48 UTC (permalink / raw)
To: openembedded-core
Hello,
I updated this patch a little, we also need update the chown command:
git://git.openembedded.org/openembedded-core-contrib rbt/useradd
diff --git a/meta/recipes-graphics/builder/builder_0.1.bb
b/meta/recipes-graphics/builder/builder_0.1.bb
index 78d41e5..bb729fc 100644
--- a/meta/recipes-graphics/builder/builder_0.1.bb
+++ b/meta/recipes-graphics/builder/builder_0.1.bb
@@ -21,13 +21,13 @@ USERADD_PACKAGES = "${PN}"
USERADD_PARAM_${PN} = "--system --create-home \
--groups video,tty,audio \
--password ${BUILDER_PASSWORD} \
- --user-group ${PN}"
+ --user-group builder"
do_install () {
install -d -m 755 ${D}${sysconfdir}/mini_x/session.d
install -p -m 755 builder_hob_start.sh ${D}${sysconfdir}/mini_x/session.d/
- chown ${PN}.${PN} ${D}${sysconfdir}/mini_x/session.d/builder_hob_start.sh
+ chown builder.builder
${D}${sysconfdir}/mini_x/session.d/builder_hob_start.sh
install -p -m 755 please_wait_dialog.py ${D}${sysconfdir}/mini_x
}
// Robert
On 07/28/2015 05:03 PM, Robert Yang wrote:
> When build lib32-builder, it would create the user lib32-builder which
> was incorrect.
>
> Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
> ---
> meta/recipes-graphics/builder/builder_0.1.bb | 2 +-
> 1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/meta/recipes-graphics/builder/builder_0.1.bb b/meta/recipes-graphics/builder/builder_0.1.bb
> index 78d41e5..d87d0e9 100644
> --- a/meta/recipes-graphics/builder/builder_0.1.bb
> +++ b/meta/recipes-graphics/builder/builder_0.1.bb
> @@ -21,7 +21,7 @@ USERADD_PACKAGES = "${PN}"
> USERADD_PARAM_${PN} = "--system --create-home \
> --groups video,tty,audio \
> --password ${BUILDER_PASSWORD} \
> - --user-group ${PN}"
> + --user-group builder"
>
> do_install () {
> install -d -m 755 ${D}${sysconfdir}/mini_x/session.d
>
^ permalink raw reply related [flat|nested] 6+ messages in thread
* Re: [PATCH 3/3] builder: fix USERADD_PARAM
2015-07-29 4:48 ` Robert Yang
@ 2015-08-09 0:54 ` Khem Raj
0 siblings, 0 replies; 6+ messages in thread
From: Khem Raj @ 2015-08-09 0:54 UTC (permalink / raw)
To: Robert Yang; +Cc: openembedded-core
[-- Attachment #1: Type: text/plain, Size: 2481 bytes --]
> On Jul 28, 2015, at 9:48 PM, Robert Yang <liezhi.yang@windriver.com> wrote:
>
> Hello,
>
> I updated this patch a little, we also need update the chown command:
>
> git://git.openembedded.org/openembedded-core-contrib rbt/useradd
>
>
> diff --git a/meta/recipes-graphics/builder/builder_0.1.bb b/meta/recipes-graphics/builder/builder_0.1.bb
> index 78d41e5..bb729fc 100644
> --- a/meta/recipes-graphics/builder/builder_0.1.bb
> +++ b/meta/recipes-graphics/builder/builder_0.1.bb
> @@ -21,13 +21,13 @@ USERADD_PACKAGES = "${PN}"
> USERADD_PARAM_${PN} = "--system --create-home \
> --groups video,tty,audio \
> --password ${BUILDER_PASSWORD} \
> - --user-group ${PN}"
> + --user-group builder”
you could use BPN
>
> do_install () {
> install -d -m 755 ${D}${sysconfdir}/mini_x/session.d
> install -p -m 755 builder_hob_start.sh ${D}${sysconfdir}/mini_x/session.d/
>
> - chown ${PN}.${PN} ${D}${sysconfdir}/mini_x/session.d/builder_hob_start.sh
> + chown builder.builder ${D}${sysconfdir}/mini_x/session.d/builder_hob_start.sh
> install -p -m 755 please_wait_dialog.py ${D}${sysconfdir}/mini_x
> }
>
> // Robert
>
> On 07/28/2015 05:03 PM, Robert Yang wrote:
>> When build lib32-builder, it would create the user lib32-builder which
>> was incorrect.
>>
>> Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
>> ---
>> meta/recipes-graphics/builder/builder_0.1.bb | 2 +-
>> 1 file changed, 1 insertion(+), 1 deletion(-)
>>
>> diff --git a/meta/recipes-graphics/builder/builder_0.1.bb b/meta/recipes-graphics/builder/builder_0.1.bb
>> index 78d41e5..d87d0e9 100644
>> --- a/meta/recipes-graphics/builder/builder_0.1.bb
>> +++ b/meta/recipes-graphics/builder/builder_0.1.bb
>> @@ -21,7 +21,7 @@ USERADD_PACKAGES = "${PN}"
>> USERADD_PARAM_${PN} = "--system --create-home \
>> --groups video,tty,audio \
>> --password ${BUILDER_PASSWORD} \
>> - --user-group ${PN}"
>> + --user-group builder"
>>
>> do_install () {
>> install -d -m 755 ${D}${sysconfdir}/mini_x/session.d
>>
> --
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-core
[-- Attachment #2: Message signed with OpenPGP using GPGMail --]
[-- Type: application/pgp-signature, Size: 211 bytes --]
^ permalink raw reply [flat|nested] 6+ messages in thread
end of thread, other threads:[~2015-08-09 0:55 UTC | newest]
Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-07-28 9:03 [PATCH 0/3] fixes for useradd Robert Yang
2015-07-28 9:03 ` [PATCH 1/3] useradd_base.bbclass: print PN when bbnote/bbwarn/bbfatal Robert Yang
2015-07-28 9:03 ` [PATCH 2/3] useradd_base.bbclass: do not warn when the user exists Robert Yang
2015-07-28 9:03 ` [PATCH 3/3] builder: fix USERADD_PARAM Robert Yang
2015-07-29 4:48 ` Robert Yang
2015-08-09 0:54 ` Khem Raj
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox